<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="fotosocial-users-dm">
  <template>
  </template>

  <script>
    /**
     * `fotosocial-users-dm`
     * lista de usuarios registrados en la app
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class FotosocialUsersDm extends Polymer.Element {
      static get is() { return 'fotosocial-users-dm'; }

      getUsers() {
        let fotosocial = JSON.parse(localStorage.getItem('fotosocial'));
        return fotosocial ? fotosocial.users.map(user => user.user) : [];
      }
    }

    window.customElements.define(FotosocialUsersDm.is, FotosocialUsersDm);
  </script>
</dom-module>
